AI Sync

Dispositions

Create Disposition

POSThttps://app.aisync.link/api/disposition
Create Disposition
curl --request POST \
  --url https://app.aisync.link/api/disposition \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "status": "Active",
  "bg_color": "#0000FF",
  "text_color": "#FFFFFF",
  "call_status": "Answered",
  "disposition": "Appointment Set",
  "default_option": "Active"
}'
{
  "data": {
    "id": "MQ==",
    "status": "Active",
    "call_status": "Answered",
    "disposition": "Appointment Set"
  },
  "message": "Disposition created successfully.",
  "success": true
}

Create Disposition#

Creates a disposition for the signed-in company. The name must be unique in that company (max 150 characters).

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

Content-Typestringheaderrequired

Must be set to application/json

dispositionstringbodyrequired

Disposition name

statusstringbody

Active, Inactive, or Default. Default turns on the Didn't Answer button

default_optionstringbody

Active, Inactive, or Default. Default turns on Setup Default Option

call_statusstringbody

One of the call status options from Disposition Helpers

text_colorstringbody

Display text color, for example #FFFFFF

bg_colorstringbody

Display background color, for example #0000FF

select_text_colorstringbody

Dropdown text color

select_bg_colorstringbody

Dropdown background color

role_viewarraybody

Base64 role ids from Disposition Helpers. Omit or send [] for no role restriction

ghl_accountidstringbody

Optional GoHighLevel location id

ghl_pipeline_idstringbody

Optional opportunity pipeline id

ghl_pipeline_stage_idstringbody

Optional opportunity stage id. Send both pipeline and stage together

curl --location 'https://app.aisync.link/api/disposition' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --data '{
    "disposition": "Appointment Set",
    "status": "Active",
    "default_option": "Active",
    "call_status": "Answered",
    "text_color": "#FFFFFF",
    "bg_color": "#0000FF",
    "select_text_color": "#FFFFFF",
    "select_bg_color": "#66FF00",
    "role_view": []
  }'
successboolean

true when the disposition was created

messagestring

Disposition created successfully.

data.idstring

Base64 disposition id. Use this id on the update, delete, and toggle endpoints